Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatMessageCalendar

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.MessageCalendar>
it.tdlight.jni.TdApi.GetChatMessageCalendar

Enclosing class:
  TdApi

public static final class TdApi.GetChatMessageCalendar extends TdApi.Function<TdApi.MessageCalendar>
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat in which to return information about messages.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.SearchMessagesFilter`
`filter`
Filter for message content.
`long`
`fromMessageId`
The message identifier from which to return information about messages; use 0 to get results from the last message.
`long`
`savedMessagesTopicId`
If not0, only messages in the specified Saved Messages topic will be considered; pass 0 to consider all messages, or for chats other than Saved Messages.

## Constructor Summary

Constructors
Constructor
Description
`GetChatMessageCalendar()`
Returns information about the next messages of the specified type in the chat split by days.
`GetChatMessageCalendar(long chatId, TdApi.SearchMessagesFilter filter, long fromMessageId, long savedMessagesTopicId)`
Returns information about the next messages of the specified type in the chat split by days.
`GetChatMessageCalendar(DataInput input)`
Returns information about the next messages of the specified type in the chat split by days.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat in which to return information about messages.

### filter

public TdApi.SearchMessagesFilter filter
Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterMention, searchMessagesFilterUnreadMention, and searchMessagesFilterUnreadReaction are unsupported in this function.

### fromMessageId

public long fromMessageId
The message identifier from which to return information about messages; use 0 to get results from the last message.

### savedMessagesTopicId

public long savedMessagesTopicId
If not0, only messages in the specified Saved Messages topic will be considered; pass 0 to consider all messages, or for chats other than Saved Messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatMessageCalendar

public GetChatMessageCalendar()
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

### GetChatMessageCalendar

public GetChatMessageCalendar(long chatId, TdApi.SearchMessagesFilter filter, long fromMessageId, long savedMessagesTopicId)
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

Parameters:
  `chatId` - Identifier of the chat in which to return information about messages.
  `filter` - Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterMention, searchMessagesFilterUnreadMention, and searchMessagesFilterUnreadReaction are unsupported in this function.
  `fromMessageId` - The message identifier from which to return information about messages; use 0 to get results from the last message.
  `savedMessagesTopicId` - If not0, only messages in the specified Saved Messages topic will be considered; pass 0 to consider all messages, or for chats other than Saved Messages.

  Returns `MessageCalendar`

### GetChatMessageCalendar

public GetChatMessageCalendar(DataInput input) throws IOException
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`